<?php



$tdatatb_categ_despesas = array();
$tdatatb_categ_despesas[".searchableFields"] = array();
$tdatatb_categ_despesas[".ShortName"] = "tb_categ_despesas";
$tdatatb_categ_despesas[".OwnerID"] = "";
$tdatatb_categ_despesas[".OriginalTable"] = "tb_categ_despesas";


$tdatatb_categ_despesas[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_categ_despesas[".originalPagesByType"] = $tdatatb_categ_despesas[".pagesByType"];
$tdatatb_categ_despesas[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_categ_despesas[".originalPages"] = $tdatatb_categ_despesas[".pages"];
$tdatatb_categ_despesas[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_categ_despesas[".originalDefaultPages"] = $tdatatb_categ_despesas[".defaultPages"];

//	field labels
$fieldLabelstb_categ_despesas = array();
$fieldToolTipstb_categ_despesas = array();
$pageTitlestb_categ_despesas = array();
$placeHolderstb_categ_despesas = array();

if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelstb_categ_despesas["Portuguese(Brazil)"] = array();
	$fieldToolTipstb_categ_despesas["Portuguese(Brazil)"] = array();
	$placeHolderstb_categ_despesas["Portuguese(Brazil)"] = array();
	$pageTitlestb_categ_despesas["Portuguese(Brazil)"] = array();
	$fieldLabelstb_categ_despesas["Portuguese(Brazil)"]["catdespID"] = "Catdesp ID";
	$fieldToolTipstb_categ_despesas["Portuguese(Brazil)"]["catdespID"] = "";
	$placeHolderstb_categ_despesas["Portuguese(Brazil)"]["catdespID"] = "";
	$fieldLabelstb_categ_despesas["Portuguese(Brazil)"]["categoria"] = "Categoria";
	$fieldToolTipstb_categ_despesas["Portuguese(Brazil)"]["categoria"] = "";
	$placeHolderstb_categ_despesas["Portuguese(Brazil)"]["categoria"] = "";
	$fieldLabelstb_categ_despesas["Portuguese(Brazil)"]["ativar"] = "Ativar";
	$fieldToolTipstb_categ_despesas["Portuguese(Brazil)"]["ativar"] = "";
	$placeHolderstb_categ_despesas["Portuguese(Brazil)"]["ativar"] = "";
	$fieldLabelstb_categ_despesas["Portuguese(Brazil)"]["centro_custos"] = "Centro Custos";
	$fieldToolTipstb_categ_despesas["Portuguese(Brazil)"]["centro_custos"] = "";
	$placeHolderstb_categ_despesas["Portuguese(Brazil)"]["centro_custos"] = "";
	$fieldLabelstb_categ_despesas["Portuguese(Brazil)"]["var_rateio"] = "Var Rateio";
	$fieldToolTipstb_categ_despesas["Portuguese(Brazil)"]["var_rateio"] = "";
	$placeHolderstb_categ_despesas["Portuguese(Brazil)"]["var_rateio"] = "";
	$fieldLabelstb_categ_despesas["Portuguese(Brazil)"]["variavel"] = "Variavel";
	$fieldToolTipstb_categ_despesas["Portuguese(Brazil)"]["variavel"] = "";
	$placeHolderstb_categ_despesas["Portuguese(Brazil)"]["variavel"] = "";
	if (count($fieldToolTipstb_categ_despesas["Portuguese(Brazil)"]))
		$tdatatb_categ_despesas[".isUseToolTips"] = true;
}


	$tdatatb_categ_despesas[".NCSearch"] = true;


	$tdatatb_categ_despesas[".scrollGridBody"] = true;

$tdatatb_categ_despesas[".shortTableName"] = "tb_categ_despesas";
$tdatatb_categ_despesas[".nSecOptions"] = 0;

$tdatatb_categ_despesas[".mainTableOwnerID"] = "";
$tdatatb_categ_despesas[".entityType"] = 0;

$tdatatb_categ_despesas[".strOriginalTableName"] = "tb_categ_despesas";

	



$tdatatb_categ_despesas[".showAddInPopup"] = false;

$tdatatb_categ_despesas[".showEditInPopup"] = false;

$tdatatb_categ_despesas[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_categ_despesas[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_categ_despesas[".listAjax"] = false;
//	temporary
$tdatatb_categ_despesas[".listAjax"] = false;

	$tdatatb_categ_despesas[".audit"] = false;

	$tdatatb_categ_despesas[".locking"] = false;


$pages = $tdatatb_categ_despesas[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_categ_despesas[".edit"] = true;
	$tdatatb_categ_despesas[".afterEditAction"] = 0;
	$tdatatb_categ_despesas[".closePopupAfterEdit"] = 1;
	$tdatatb_categ_despesas[".afterEditActionDetTable"] = "tb_contas_desp";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_categ_despesas[".add"] = true;
$tdatatb_categ_despesas[".afterAddAction"] = 0;
$tdatatb_categ_despesas[".closePopupAfterAdd"] = 1;
$tdatatb_categ_despesas[".afterAddActionDetTable"] = "tb_contas_desp";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_categ_despesas[".list"] = true;
}



$tdatatb_categ_despesas[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_categ_despesas[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_categ_despesas[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_categ_despesas[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_categ_despesas[".printFriendly"] = true;
}



$tdatatb_categ_despesas[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_categ_despesas[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_categ_despesas[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_categ_despesas[".isUseAjaxSuggest"] = true;

$tdatatb_categ_despesas[".rowHighlite"] = true;





$tdatatb_categ_despesas[".ajaxCodeSnippetAdded"] = false;

$tdatatb_categ_despesas[".buttonsAdded"] = false;

$tdatatb_categ_despesas[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_categ_despesas[".isUseTimeForSearch"] = false;


$tdatatb_categ_despesas[".badgeColor"] = "D2AF80";


$tdatatb_categ_despesas[".allSearchFields"] = array();
$tdatatb_categ_despesas[".filterFields"] = array();
$tdatatb_categ_despesas[".requiredSearchFields"] = array();

$tdatatb_categ_despesas[".googleLikeFields"] = array();
$tdatatb_categ_despesas[".googleLikeFields"][] = "catdespID";
$tdatatb_categ_despesas[".googleLikeFields"][] = "categoria";
$tdatatb_categ_despesas[".googleLikeFields"][] = "ativar";
$tdatatb_categ_despesas[".googleLikeFields"][] = "centro_custos";
$tdatatb_categ_despesas[".googleLikeFields"][] = "var_rateio";
$tdatatb_categ_despesas[".googleLikeFields"][] = "variavel";



$tdatatb_categ_despesas[".tableType"] = "list";

$tdatatb_categ_despesas[".printerPageOrientation"] = 0;
$tdatatb_categ_despesas[".nPrinterPageScale"] = 100;

$tdatatb_categ_despesas[".nPrinterSplitRecords"] = 40;

$tdatatb_categ_despesas[".geocodingEnabled"] = false;










$tdatatb_categ_despesas[".pageSize"] = 20;

$tdatatb_categ_despesas[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_categ_despesas[".strOrderBy"] = $tstrOrderBy;

$tdatatb_categ_despesas[".orderindexes"] = array();

$tdatatb_categ_despesas[".sqlHead"] = "SELECT catdespID,  	categoria,  	ativar,  	centro_custos,  	var_rateio,  	variavel";
$tdatatb_categ_despesas[".sqlFrom"] = "FROM tb_categ_despesas";
$tdatatb_categ_despesas[".sqlWhereExpr"] = "";
$tdatatb_categ_despesas[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_categ_despesas[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_categ_despesas[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_categ_despesas[".highlightSearchResults"] = true;

$tableKeystb_categ_despesas = array();
$tableKeystb_categ_despesas[] = "catdespID";
$tdatatb_categ_despesas[".Keys"] = $tableKeystb_categ_despesas;


$tdatatb_categ_despesas[".hideMobileList"] = array();




//	catdespID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "catdespID";
	$fdata["GoodName"] = "catdespID";
	$fdata["ownerTable"] = "tb_categ_despesas";
	$fdata["Label"] = GetFieldLabel("tb_categ_despesas","catdespID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "catdespID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "catdespID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_categ_despesas["catdespID"] = $fdata;
		$tdatatb_categ_despesas[".searchableFields"][] = "catdespID";
//	categoria
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "categoria";
	$fdata["GoodName"] = "categoria";
	$fdata["ownerTable"] = "tb_categ_despesas";
	$fdata["Label"] = GetFieldLabel("tb_categ_despesas","categoria");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "categoria";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "categoria";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_categ_despesas["categoria"] = $fdata;
		$tdatatb_categ_despesas[".searchableFields"][] = "categoria";
//	ativar
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "ativar";
	$fdata["GoodName"] = "ativar";
	$fdata["ownerTable"] = "tb_categ_despesas";
	$fdata["Label"] = GetFieldLabel("tb_categ_despesas","ativar");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "ativar";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ativar";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_categ_despesas["ativar"] = $fdata;
		$tdatatb_categ_despesas[".searchableFields"][] = "ativar";
//	centro_custos
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "centro_custos";
	$fdata["GoodName"] = "centro_custos";
	$fdata["ownerTable"] = "tb_categ_despesas";
	$fdata["Label"] = GetFieldLabel("tb_categ_despesas","centro_custos");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "centro_custos";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "centro_custos";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
		$edata["LookupType"] = 0;
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
	
		$edata["LookupValues"] = array();
	$edata["LookupValues"][] = "Materiais";
	$edata["LookupValues"][] = "Mão de Obra";
	$edata["LookupValues"][] = "Estrutura";
	$edata["LookupValues"][] = "GGF";
	$edata["LookupValues"][] = "Comercial";
	$edata["LookupValues"][] = "Financeiro";

	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_categ_despesas["centro_custos"] = $fdata;
		$tdatatb_categ_despesas[".searchableFields"][] = "centro_custos";
//	var_rateio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "var_rateio";
	$fdata["GoodName"] = "var_rateio";
	$fdata["ownerTable"] = "tb_categ_despesas";
	$fdata["Label"] = GetFieldLabel("tb_categ_despesas","var_rateio");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "var_rateio";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "var_rateio";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_categ_despesas["var_rateio"] = $fdata;
		$tdatatb_categ_despesas[".searchableFields"][] = "var_rateio";
//	variavel
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "variavel";
	$fdata["GoodName"] = "variavel";
	$fdata["ownerTable"] = "tb_categ_despesas";
	$fdata["Label"] = GetFieldLabel("tb_categ_despesas","variavel");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "variavel";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "variavel";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 3;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_categ_despesas["variavel"] = $fdata;
		$tdatatb_categ_despesas[".searchableFields"][] = "variavel";


$tables_data["tb_categ_despesas"]=&$tdatatb_categ_despesas;
$field_labels["tb_categ_despesas"] = &$fieldLabelstb_categ_despesas;
$fieldToolTips["tb_categ_despesas"] = &$fieldToolTipstb_categ_despesas;
$placeHolders["tb_categ_despesas"] = &$placeHolderstb_categ_despesas;
$page_titles["tb_categ_despesas"] = &$pageTitlestb_categ_despesas;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_categ_despesas"] = array();
//	tb_contas_desp
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="tb_contas_desp";
		$detailsParam["dOriginalTable"] = "tb_contas_desp";



				$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "tb_contas_desp";
	$detailsParam["dCaptionTable"] = GetTableCaption("tb_contas_desp");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["tb_categ_despesas"][$dIndex] = $detailsParam;

	
		$detailsTablesData["tb_categ_despesas"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["tb_categ_despesas"][$dIndex]["masterKeys"][]="catdespID";

				$detailsTablesData["tb_categ_despesas"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["tb_categ_despesas"][$dIndex]["detailKeys"][]="categoria";

// tables which are master tables for current table (detail)
$masterTablesData["tb_categ_despesas"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_categ_despesas()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "catdespID,  	categoria,  	ativar,  	centro_custos,  	var_rateio,  	variavel";
$proto0["m_strFrom"] = "FROM tb_categ_despesas";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "catdespID",
	"m_strTable" => "tb_categ_despesas",
	"m_srcTableName" => "tb_categ_despesas"
));

$proto6["m_sql"] = "catdespID";
$proto6["m_srcTableName"] = "tb_categ_despesas";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "categoria",
	"m_strTable" => "tb_categ_despesas",
	"m_srcTableName" => "tb_categ_despesas"
));

$proto8["m_sql"] = "categoria";
$proto8["m_srcTableName"] = "tb_categ_despesas";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "ativar",
	"m_strTable" => "tb_categ_despesas",
	"m_srcTableName" => "tb_categ_despesas"
));

$proto10["m_sql"] = "ativar";
$proto10["m_srcTableName"] = "tb_categ_despesas";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "centro_custos",
	"m_strTable" => "tb_categ_despesas",
	"m_srcTableName" => "tb_categ_despesas"
));

$proto12["m_sql"] = "centro_custos";
$proto12["m_srcTableName"] = "tb_categ_despesas";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "var_rateio",
	"m_strTable" => "tb_categ_despesas",
	"m_srcTableName" => "tb_categ_despesas"
));

$proto14["m_sql"] = "var_rateio";
$proto14["m_srcTableName"] = "tb_categ_despesas";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "variavel",
	"m_strTable" => "tb_categ_despesas",
	"m_srcTableName" => "tb_categ_despesas"
));

$proto16["m_sql"] = "variavel";
$proto16["m_srcTableName"] = "tb_categ_despesas";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto18=array();
$proto18["m_link"] = "SQLL_MAIN";
			$proto19=array();
$proto19["m_strName"] = "tb_categ_despesas";
$proto19["m_srcTableName"] = "tb_categ_despesas";
$proto19["m_columns"] = array();
$proto19["m_columns"][] = "catdespID";
$proto19["m_columns"][] = "categoria";
$proto19["m_columns"][] = "ativar";
$proto19["m_columns"][] = "centro_custos";
$proto19["m_columns"][] = "var_rateio";
$proto19["m_columns"][] = "variavel";
$obj = new SQLTable($proto19);

$proto18["m_table"] = $obj;
$proto18["m_sql"] = "tb_categ_despesas";
$proto18["m_alias"] = "";
$proto18["m_srcTableName"] = "tb_categ_despesas";
$proto20=array();
$proto20["m_sql"] = "";
$proto20["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto20["m_column"]=$obj;
$proto20["m_contained"] = array();
$proto20["m_strCase"] = "";
$proto20["m_havingmode"] = false;
$proto20["m_inBrackets"] = false;
$proto20["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto20);

$proto18["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto18);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_categ_despesas";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_categ_despesas = createSqlQuery_tb_categ_despesas();


	
		;

						

$tdatatb_categ_despesas[".sqlquery"] = $queryData_tb_categ_despesas;

$tableEvents["tb_categ_despesas"] = new eventsBase;
$tdatatb_categ_despesas[".hasEvents"] = false;

?>